#main-panel .tablerows {
  border-bottom: 1px solid transparent!important;
}

#main-panel .edit-svg{
  height: 19px;
  padding: 0 10px;
}
#main-panel .product-body {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 300;
  display: none;
  opacity: 0;
  background-color: #fff;
  box-shadow: 4px 4px 15px rgba(45, 45, 55, .3);
  border-radius: 4px;
  background-color: #fff;
}
#main-panel .product-body .body-head {
  width: 100%;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  display: flex;
  /* justify-content: center; */
  align-items: center;
  padding: 15px;
  color: #fff;
  position: relative;
}
#main-panel .product-body .update-form {
    width: 60vw;
}

#main-panel .product-body .close {
  position: absolute;
  right: 10px;
}

#main-panel .current-body {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 300;
  display: none;
  opacity: 0;
  background-color: #fff;
  box-shadow: 4px 4px 15px rgba(45, 45, 55, .3);
  border-radius: 4px;
  background-color: #fff;
}
#main-panel .current-body .body-head {
  width: 100%;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  display: flex;
  /* justify-content: center; */
  align-items: center;
  padding: 15px;
  color: #fff;
  position: relative;
}
#main-panel .current-body .update-form {
    width: 60vw;
}

#main-panel .current-body .close {
  position: absolute;
  right: 10px;
}

.frm-grp {
  width: 100%;
  display: grid;
  grid-template-columns: 2fr 6fr;
  align-items: baseline;
  padding-bottom: 18px;
}
.frm-grp .inputdis {
  border: none;
  border-bottom: 1px solid #eee;
  background-color: transparent;
}
.frm-grp select {
  position: relative;
  z-index: 3;
  width: 100%;
  border: none;
  border-bottom: 1px solid #eee;
  background-color: transparent;
  -moz-appearance:none; /* Firefox */
  -webkit-appearance:none; /* Safari and Chrome */
  appearance:none;
}
.frm-grp .select-cont {
  position: relative;
}
.frm-grp .select-cont .down-arrow {
  position: absolute;
  right: .5rem;
  top: 0;
}
.frm-grp .txt-area{
  border: 1px solid #eee;
  height: 100px;
  background-color: transparent;
  line-height: inherit;
}
label{
  margin-bottom: 0;
}

@keyframes disp-body {
  0%{
    opacity: 0;
    transform: translateY(-100%);
  }
  100%{
    opacity: 1;
    transform: translateY(0%);
  }
}


#main-panel .current-icon {
  height: 45px;
  width: 70px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 3px;
  cursor: pointer;
}
#main-panel  .current-icon:hover i{
  transform: scale(1.3);
  transition: all .3s linear;
}
#main-panel  i:hover {
  transform: scale(1.3);
  transition: all .3s linear;
}
#main-panel .current-icon span {
  width: 45px;
  height: 45px;
  border: 1px solid #fffa;
  border-radius: 12px;
}
#main-panel .current-icon img {
  width: 45px;
  height: 45px;
  object-fit: contain;
}

#main-panel  i{
  cursor: pointer;
}
#main-panel h4 {
  font-size: 1.2rem;
  color: #fff;
  text-transform: capitalize;
  margin: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
#main-panel table.dataTable thead th:last-child h4{
  display: flex;
  justify-content: flex-end;
  padding-right: 20px;
}
#main-panel table.dataTable tfoot th:last-child h4{
  display: flex;
  justify-content: flex-end;
  padding-right: 20px;
}
#main-panel h3{
  font-size: 1.2rem;
  color: #fff;
  /* text-transform: capitalize; */
  margin: 0;
}
#main-panel .edit-icons{
  width: 100%;
  display: flex;
  justify-content: flex-end;
}
#main-panel .color-row{
  display: flex;
}

#main-panel .add-images{
  position: absolute;
  left: 50%;
  top: 50%;
  opacity: 0;
  width: 50vw;
  transition: opacity .3s ease-in;
  transform: translate(-50%, -50%);
  z-index: 300;
}
#main-panel .add-header-image {
  position: absolute;
  left: 50%;
  top: 50%;
  opacity: 0;
  width: 50vw;
  transition: opacity .3s ease-in;
  transform: translate(-50%, -50%);
  z-index: 300;
}

#main-panel #top-card{
  z-index: 200;
}
#main-panel .category-title{
  position: fixed;
  top: 0;
  left: 15%;
  letter-spacing: 1px;
  margin-bottom: 15px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  padding: 3px 3px 3px 15px;
  background-color: rgba(5, 105, 205, .5);
  color: #fff;
  text-transform: capitalize;
}
#main-panel .category-title span:first-child {
  font-price: bold;
  padding-right: 25px;
}


/* BOOTSTRAP DATATABLE CLASSES */
table.dataTable thead th, table.dataTable thead td {
  padding: 10px;
  border-bottom: 1px solid rgba(210, 210, 210, .4);
}
table.dataTable thead th {
  /* background-color: rgba(5, 105, 205, .7); */
  /* background-color: #d93025; */
  /* background: #476cda; */
  background-color:  #3952b2;
}
table.dataTable tfoot th, table.dataTable tfoot {
  padding: 10px;
  border-top: 1px solid #fff;
}
table.dataTable tbody th, table.dataTable tbody td {
  padding: 3px 10px;
  border: none;
}
/* table.dataTable thead th:nth-child(2), table.dataTable tbody td:nth-child(2) {
  width: 150px;
}

table.dataTable thead th:last-child, table.dataTable tbody td:last-child {
  width: 150px;
} */
table.dataTable tbody tr, table.dataTable tbody tr {
  background-color: var(--theme-bg-color);
}
table.dataTable tbody tr:hover {
  background-color: var(--theme-bg-color)!important;
}
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
  background-color: transparent;
}
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd h3 {
  color: #fff;
}
table.dataTable.stripe tbody tr.even, table.dataTable.display tbody tr.even td {
  border-bottom: 1px solid rgba(180, 180, 180, .4);
  border-top: none;
}
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd td {
  background: var(--theme-bg-color);
  border-bottom: 1px solid rgba(180, 180, 180, .4);
  border-top: none;
}
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.even h3 {
  color: #fff;
}
.dataTables_wrapper {
  position: relative;
}

.table-btns {

}
.customised-select {
  padding: 5px 10px;
  background: #3952b2;
  color: #fff;
  border: 1px solid #dddddd;
  border-radius: 5px;
}
.customised-select option {
  background: #fff;
  color: #555;
}
.custom-select:focus, .custom-select:hover {
  border: 1px solid #bbb;
}
.dataTables_wrapper .row {
  margin-left: 0;
  margin-right: 0;
}
.dataTables_wrapper .row:first-child {
  /* margin-top: 70px; */
  padding: 15px 0;
  /* flex-direction: row-reverse; */
}
.dataTables_wrapper .row:first-child .col-md-6{
  display: flex;
  align-items: center;
}
.dataTables_wrapper .row:first-child .col-md-6:nth-child(2) {
  justify-content: flex-end;
}
.dataTables_wrapper .row .col-sm-12{
  /* padding: 0; */
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  background-color: #fff!important;
}

div.dataTables_wrapper div.dataTables_length label {
  color: #fff;
  text-align: left;
  white-space: nowrap;
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 150px;
}
.input-group-sm > .input-group-append > select.btn:not([size]):not([multiple]), .input-group-sm > .input-group-append > select.input-group-text:not([size]):not([multiple]), .input-group-sm > .input-group-prepend > select.btn:not([size]):not([multiple]), .input-group-sm > .input-group-prepend > select.input-group-text:not([size]):not([multiple]), .input-group-sm > select.form-control:not([size]):not([multiple]), select.form-control-sm:not([size]):not([multiple])
{
  width: 65px;
  padding: 3px 6px;
  border: 1px solid blue;
  /* box-shadow: 1px 1px 5px gainsboro; */
  border-radius: 3px;
  margin: 0 6px;
  background-color: #fff;
  color: blue;
}
.custom-select-sm {
  font-size: 100%;
}


div.dataTables_wrapper div.dataTables_filter label {
  z-index: 100;
  background: #3952b2;
  border-radius: 50px;
  padding: 0px 0px 0px 10px;
  color: #fff;
  font-weight: bold;
}
.dataTables_wrapper .dataTables_filter input::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 80px;
  height: 40px;
  background: #fff;
  border-radius: 50px;
}
.dataTables_wrapper .dataTables_filter input {
  border: 0;
  padding: 5px;
  background: #fff;
  color: #666;
  transition: 0.3s;
  border-radius: 50px;
}
@media (max-width: 950px) {
  .dataTables_wrapper .dataTables_filter input {
    width: 100px;
    padding: 3px;
  }
}
.dataTables_wrapper .dataTables_filter input:hover {
  /* background: rgba(5, 105, 205, .7); */
}
